Assign a label to a competitor (idempotent on already-assigned).
Assign a label to a competitor (idempotent on already-assigned) — Competitor Tracker & Co. API reference for POST /v1/competitors/{id}/labels: request.
Required role: member or higher (organization-level).
Required scope: labels:write (for both OAuth2 tokens and API keys).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/competitors/01J0000000000000000000C001/labels" \ -H "Content-Type: application/json" \ -d '{ "labelId": "01J0000000000000000000A001" }'{
"competitorId": "string",
"labels": [
{
"id": "string",
"name": "string",
"color": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Delete a label and detach it from every competitor it is assigned to. DELETE
Delete a label and detach it from every competitor it is assigned to — Competitor Tracker & Co. API reference for DELETE /v1/labels/{id}: request parameters.
Unassign a label from a competitor (idempotent — succeeds even if not assigned). DELETE
Unassign a label from a competitor (idempotent — succeeds even if not assigned) — Competitor Tracker & Co. API reference for DELETE /v1/competitors/{id}/labels.